%bcond_without bootstrap

Name:       ibus-table-wubi
Version:    1.1.0.20090327
Release:    2%{?dist}
Summary:    Wubi input methods for ibus-table
License:    GPLv3+
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

# for noarch pkgconfig
BuildRequires: ibus-table >= 1.1.0.20090220-5
%if %{with bootstrap}
BuildRequires:  gettext-devel >= 0.17, automake >= 1.10.1
%endif
Requires(post):   ibus-table > 1.1.0

%description
The package contains Wubi input methods for Table engine of IBus platform. 

Wubi is released under released under GPLv3.

%prep
%setup -q

%build
export IBUS_TABLE_CREATEDB="%{_bindir}/ibus-table-createdb --no-create-index"
%if %{with bootstrap}
./autogen.sh \
    --prefix=%{_prefix} \
%else
%configure \
%endif
    --enable-wubi86
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} INSTALL="install -p" NO_INDEX=true install

%clean
rm -rf %{buildroot}

%post
%{_bindir}/ibus-table-createdb -i -n wubi86.db -s wubi86.txt

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%verify(not md5 size mtime) %{_datadir}/ibus-table/tables/wubi86.db
%{_datadir}/ibus-table/icons/wubi86.svg

%changelog
* Tue May 19 2009 Caius 'kaio' Chance <cchance@redhat.com> - 1.1.0.20090327-2.fc11
- Rebuilt

* Tue May 19 2009 Caius 'kaio' Chance <cchance@redhat.com> - 1.1.0.20090327-1.fc11
- Create index only during post-install.

* Wed Apr 01 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090316-4.fc11
- Correct license to GPLv3+ and preserve timestamp during make install.

* Mon Mar 27 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090316-3.fc11
- Resolves: rhbz#488168
- Rebuilt with latest upstream.

* Mon Mar 27 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090316-2.fc11
- Resolves: rhbz#488168
- Removed wubi98.

* Mon Mar 16 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090316-1.fc11
- Resolves: rhbz#488168
- Splited from ibus-table.
- Added contents of AUTHORS.
